For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign in
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
    • Overview
    • Authentication
  • REST
      • POSTCreate Site
      • GETList Sites
      • GETGet Site
      • PATCHUpdate Site
      • DELDelete Site
      • POSTDuplicate Site
Sign in
LogoLogo
RESTSites

Delete Site

DELETE
https://api.makeswift.com/v2/sites/:siteId
DELETE
/v2/sites/:siteId
$curl -X DELETE https://api.makeswift.com/v2/sites/siteId \
> -H "x-api-key: <apiKey>"
Deletes a site.
Was this page helpful?
Previous

Update Site

Next

Duplicate Site

Built with

Authentication

x-api-keystring

API key authentication. Accepts either:

  • App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
  • Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Path parameters

siteIdstringRequiredformat: "uuid"
The site ID for the site you are deleting.

Response

Site successfully deleted.

Errors

403
Forbidden Error